/**
 * A Valibot error with useful information.
 */
export class ValiError extends Error {
    issues;
    /**
     * Creates a Valibot error with useful information.
     *
     * @param issues The error issues.
     */
    constructor(issues) {
        super(issues[0].message);
        this.name = 'ValiError';
        this.issues = issues;
    }
}
