import { objectAsync, } from '../../schemas';
import { getErrorAndPipe } from '../../utils';
export function mergeAsync(schemas, arg2, arg3) {
    // Get error and pipe argument
    const { error, pipe } = getErrorAndPipe(arg2, arg3);
    // Create and return async object schema
    return objectAsync(schemas.reduce((object, schemas) => ({ ...object, ...schemas.object }), {}), error, pipe);
}
