import { describe, expect, test } from 'vitest';
import { getCurrentPath } from './getCurrentPath';
describe('getCurrentPath', () => {
    test('should return current path', () => {
        const item = {
            schema: 'object',
            input: { test: 123 },
            key: 'test',
            value: 123,
        };
        expect(getCurrentPath(undefined, item)).toEqual([item]);
        expect(getCurrentPath({ path: [item] }, item)).toEqual([item, item]);
    });
});
