import type { ValidateInfo } from '../../types';
/**
 * Creates a validation functions that validates a IP v4 address.
 *
 * @param error The error message.
 *
 * @returns A validation function.
 */
export declare function ipv4<TInput extends string>(error?: string): (input: TInput, info: ValidateInfo) => TInput;
