import type { ValidateInfo } from '../../types';
/**
 * Creates a validation functions that validates a time.
 *
 * Format: hh:mm
 *
 * @param error The error message.
 *
 * @returns A validation function.
 */
export declare function isoTime<TInput extends string>(error?: string): (input: TInput, info: ValidateInfo) => TInput;
