import type { ValidateInfo } from '../../types';
/**
 * Creates a validation functions that validates a time with seconds.
 *
 * Format: hh:mm:ss
 *
 * @param error The error message.
 *
 * @returns A validation function.
 */
export declare function isoTimeSecond<TInput extends string>(error?: string): (input: TInput, info: ValidateInfo) => TInput;
