import { enumType, } from '../../schemas';
/**
 * Creates a enum schema of object keys.
 *
 * @param schema The object schema.
 *
 * @returns A enum schema.
 */
export function keyof(schema) {
    return enumType(Object.keys(schema.object));
}
