import { objectAsync, optionalAsync, } from '../../schemas';
import { getErrorAndPipe } from '../../utils';
export function partialAsync(schema, arg3, arg4) {
    // Get error and pipe argument
    const { error, pipe } = getErrorAndPipe(arg3, arg4);
    // Create and return object schema
    return objectAsync(Object.entries(schema.object).reduce((object, [key, schema]) => ({
        ...object,
        [key]: optionalAsync(schema),
    }), {}), error, pipe);
}
