import { objectAsync, } from '../../schemas';
import { getErrorAndPipe } from '../../utils';
export function pickAsync(schema, keys, arg3, arg4) {
    // Get error and pipe argument
    const { error, pipe } = getErrorAndPipe(arg3, arg4);
    // Create and return object schema
    return objectAsync(Object.entries(schema.object).reduce((object, [key, schema]) => keys.includes(key) ? { ...object, [key]: schema } : object, {}), error, pipe);
}
