import { nonOptional, object, } from '../../schemas';
import { getErrorAndPipe } from '../../utils';
export function required(schema, arg3, arg4) {
    // Get error and pipe argument
    const { error, pipe } = getErrorAndPipe(arg3, arg4);
    // Create and return object schema
    return object(Object.entries(schema.object).reduce((object, [key, schema]) => ({
        ...object,
        [key]: nonOptional(schema),
    }), {}), error, pipe);
}
