/**
 * Executes the validation and transformation pipe.
 *
 * @param input The input value.
 * @param pipe The pipe to be executed.
 * @param info The validation info.
 *
 * @returns The output value.
 */
export function executePipe(input, pipe, info) {
    return pipe.reduce((value, action) => action(value, info), input);
}
