import { describe, expect, test } from 'vitest';
import { executePipe } from './executePipe';
describe('executePipe', () => {
    test('should execute the pipe', () => {
        const pipe = [
            (input) => input + 1,
            (input) => input * 2,
            (input) => input - 1,
        ];
        const info = { reason: 'any', origin: 'key' };
        const output = executePipe(1, pipe, info);
        expect(output).toBe(3);
    });
});
