import { describe, expect, test } from 'vitest';
import { executePipeAsync } from './executePipeAsync';
describe('executePipeAsync', () => {
    test('should execute the pipe', async () => {
        const pipe = [
            (input) => input + 1,
            async (input) => input * 2,
            (input) => input - 1,
        ];
        const info = { reason: 'any', origin: 'key' };
        const output = await executePipeAsync(1, pipe, info);
        expect(output).toBe(3);
    });
});
