/**
 * Returns error and pipe from dynamic arguments.
 *
 * @param arg1 First argument.
 * @param arg2 Second argument.
 *
 * @returns The error and pipe.
 */
export function getErrorAndPipe(arg1, arg2) {
    const [error, pipe = []] = !arg1 || typeof arg1 === 'string' ? [arg1, arg2] : [undefined, arg1];
    return { error, pipe };
}
