/**
 * Creates a async custom transformation functions.
 *
 * @param action The transform action.
 *
 * @returns A async transformation functions.
 */
export declare function toCustomAsync<TInput>(action: (input: TInput) => TInput | Promise<TInput>): (input: TInput) => TInput | Promise<TInput>;
